Bug 53156 - New port: XFce 4 settings manager
Summary: New port: XFce 4 settings manager
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Oliver Lehmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-10 18:50 UTC by James Earl
Modified: 2003-07-28 19:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James Earl 2003-06-10 18:50:05 UTC
	XFce 4 settings manager. This is part of the BETA1 release of the
	XFce 4 desktop environment.

Fix: 

echo c - sysutils/xfce-mcs-manager
mkdir -p sysutils/xfce-mcs-manager > /dev/null 2>&1
echo x - sysutils/xfce-mcs-manager/Makefile
sed 's/^X//' >sysutils/xfce-mcs-manager/Makefile << 'END-of-sysutils/xfce-mcs-manager/Makefile'
X# New ports collection makefile for:	xfce-mcs-manager
X# Date created:		7 June 2003
X# Whom:			James Earl <jdearl@telus.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	xfce-mcs-manager
XPORTVERSION=	3.90.0
XCATEGORIES=	x11
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE} \
X		http://belnet.dl.sourceforge.net/sourceforge/xfce/ \
X		http://unc.dl.sourceforge.net/sourceforge/xfce/
XMASTER_SITE_SUBDIR=	xfce
XDIST_SUBDIR=	xfce4
X
XMAINTAINER=	ports@FreeBSD.org
XCOMMENT=	XFce 4 settings manager
X
XLIB_DEPENDS=	xfce4util.0:${PORTSDIR}/x11-toolkits/libxfce4util \
X		xfcegui4.0:${PORTSDIR}/x11-toolkits/libxfcegui4 \
X		xfce4mcs-manager.0:${PORTSDIR}/x11-toolkits/libxfce4mcs
X
XUSE_GNOME=	glib20
XUSE_REINPLACE=	yes
XUSE_X_PREFIX=	yes
XGNU_CONFIGURE=	yes
XCONFIGURE_TARGET=	--build=${ARCH}-portbld-freebsd${OSREL}
X
Xpost-patch:
X	@${REINPLACE_CMD} 's/(libdir)\/pkgconfig/(exec_prefix)\/libdata\/pkgconfig/' ${WRKSRC}/${PORTNAME}/Makefile.in
X
X.include <bsd.port.mk>
END-of-sysutils/xfce-mcs-manager/Makefile
echo x - sysutils/xfce-mcs-manager/pkg-descr
sed 's/^X//' >sysutils/xfce-mcs-manager/pkg-descr << 'END-of-sysutils/xfce-mcs-manager/pkg-descr'
XXFce 4 settings manager provides a control center for settings manager
Xplugins that are provided by other modules.
X
XWWW: http://www.xfce.org
END-of-sysutils/xfce-mcs-manager/pkg-descr
echo x - sysutils/xfce-mcs-manager/distinfo
sed 's/^X//' >sysutils/xfce-mcs-manager/distinfo << 'END-of-sysutils/xfce-mcs-manager/distinfo'
XMD5 (xfce4/xfce-mcs-manager-3.90.0.tar.gz) = c28f72c5fbec2321aae1139943e2b5cf
END-of-sysutils/xfce-mcs-manager/distinfo
echo x - sysutils/xfce-mcs-manager/pkg-plist
sed 's/^X//' >sysutils/xfce-mcs-manager/pkg-plist << 'END-of-sysutils/xfce-mcs-manager/pkg-plist'
Xbin/xfce-setting-show
Xbin/xfce-mcs-manager
Xinclude/xfce4/xfce-mcs-manager/manager-plugin.h
Xlibdata/pkgconfig/xfce-mcs-manager.pc
Xshare/xfce4/doc/C/images/settings_manager.png
Xshare/xfce4/doc/C/images/smgr_from_panel.png
Xshare/xfce4/doc/C/images/smgr_from_root_menu.png
Xshare/xfce4/doc/C/images/smgr_from_setup_button.png
Xshare/xfce4/doc/C/xfce-mcs-manager.html
X@dirrm include/xfce4/xfce-mcs-manager
X@unexec rmdir %Dinclude/xfce4 2>/dev/null || true
X@unexec rmdir %Dshare/xfce4/doc/C/images 2>/dev/null || true
X@unexec rmdir %Dshare/xfce4/doc/C 2>/dev/null || true
X@unexec rmdir %Dshare/xfce4/doc 2>/dev/null || true
END-of-sysutils/xfce-mcs-manager/pkg-plist
exit
--- xfce-mcs-manager ends here ---
Comment 1 Oliver Lehmann freebsd_committer 2003-07-05 08:55:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

I'll handle this
Comment 2 Oliver Lehmann freebsd_committer 2003-07-28 19:40:08 UTC
State Changed
From-To: open->closed

Committed a slightly different and updated to rc2 version. Thanks a lot for your work!